CFETOOLCREATE(1)

NAME
cfetool create - Set up a new Database

SYNOPSIS
cfetool create name [--path|-p directory name] [--step|-s step] [--daily|-d] [--weekly|-w] [--yearly|-y] [--cfenvd|-c] [--histograms|-H] [--verbose|-v] [--file|-f filename] [--help|-h]

DESCRIPTION
Creates a new database and, optionally, histogram file in a new directory with the name given. If the -p option is specified, it will be created as a subdirectory of the path given. Otherwise, it will be a subdirectory of the current working directory.

The -d, -w, and -y options specify the period over which the data will span, and may be combined to create multiple databases. If they are all ommitted, the default is weekly.

OPTIONS

--path|-p
    The directory in which to create the new database folder. If this argument is not provided, the current working directory will be used.

--step|-s
    The interval, in minutes, with which the database will be updated. If this argument is not provided, cfetool assumes a default of 5 minutes.

--daily|-d
    Create a database for recording daily patterns.

--weekly|-w
    Create a database for recording weekly patterns.

--yearly|-y
    Create a database for recording yearly patterns.

--cfenvd|-c
    Communicate with cfengine. If this option is specified, cfetool will set classes understandable by cfagent. For more information, see the cfenvd documentation.

--histograms|-H
    Create a histogram file, to store information about the probability distribiution of fluctuations about the mean value over all times of day. Cfetool won't write anything to this file for the first four weeks, as it has to have reliable mean values in order to accurately calculate it.

--verbose|-v
    Print details of the command's execution to the standard output stream.

--file|-f
    Specifies a file which contains measurements to feed into the database in batch mode. Used for testing purposes. Each line in the file should be in either of these formats:

    month/day/year hour:min:sec value

    or

    epoch value

--help|-h
    Prints a short help message and then exits.

EXAMPLE
  % cfetool create temperature --path /my/path --histograms --step 10

Creates an empty database and histogram file in /my/path/temperature/, ready to store values over ten minute intervals spanning a one-week period.

AUTHORS
The code and documentation were contributed by Stanford Linear Accelerator Center, a department of Stanford University. This documentation was written by

Elizabeth Cassell <e_a_c@mailsnare.net> and
Alf Wachsmann <alfw@slac.stanford.edu>

COPYRIGHT AND DISCLAIMER
 Copyright 2004 Alf Wachsmann <alfw@slac.stanford.edu> and
                Elizabeth Cassell <e_a_c@mailsnare.net>
 All rights reserved.